import radiomanifest from 'radiomanifest'

const cachedRadiomanifest = {}


const RM = {

  radio: {
    'ROR': { name: 'Radio Onda Rossa', description: 'un segnale che disturba', url: 'https://www.ondarossa.info' },
    'Spore':  { name: 'Radio Spore', description: 'una voce senza padrone', url: 'https://radiospore.oziosi.org' },
    'Wombat': { name: 'Radio Wombat', description: 'supporto parziale!', url: 'https://radiowombat.net' },
    // 'RBO': { }
  },

  currentRadio : null,

  async get (id) {
    // check if this radio id exists
    if (!RM.radio[id]) {
      throw new Error('This radio id does not exists!')
    }

    // check if is cached, load it otherwise
    if (!cachedRadiomanifest[id]) {
      const radio = RM.radio[id]
      cachedRadiomanifest[id] = await radiomanifest.get(radio.url)
    }
    this.currentRadio = cachedRadiomanifest[id]
    return cachedRadiomanifest[id]
  }
}

export default RM